---
title: llarp::vpn::IOCTL

---

# llarp::vpn::IOCTL





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[IOCTL](Classes/structllarp_1_1vpn_1_1IOCTL.md#function-ioctl)**(int af) |
| | **[~IOCTL](Classes/structllarp_1_1vpn_1_1IOCTL.md#function-~ioctl)**() |
| template <typename Command ,typename... Args\> <br>void | **[ioctl](Classes/structllarp_1_1vpn_1_1IOCTL.md#function-ioctl)**(Command cmd, Args &&... args) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const int | **[_fd](Classes/structllarp_1_1vpn_1_1IOCTL.md#variable--fd)**  |

## Public Functions Documentation

### function IOCTL

```cpp
inline explicit IOCTL(
    int af
)
```


### function ~IOCTL

```cpp
inline ~IOCTL()
```


### function ioctl

```cpp
template <typename Command ,
typename... Args>
inline void ioctl(
    Command cmd,
    Args &&... args
)
```


## Public Attributes Documentation

### variable _fd

```cpp
const int _fd;
```


-------------------------------

Updated on 2022-09-19 at 17:18:34 +0000